Bug 1302617 - (CVE-2015-8629) CVE-2015-8629 krb5: xdr_nullstring() doesn't check for terminating null character
CVE-2015-8629 krb5: xdr_nullstring() doesn't check for terminating null chara...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20160108,reported=2...
: Security
Depends On: 1302618 1306969 1306970 1306973 1306974
Blocks: 1302647
  Show dependency treegraph
 
Reported: 2016-01-28 04:42 EST by Adam Mariš
Modified: 2016-04-03 19:18 EDT (History)
21 users (show)

See Also:
Fixed In Version: krb5 1.14.1, krb5 1.13.4
Doc Type: Bug Fix
Doc Text:
An out-of-bounds read flaw was found in the kadmind service of MIT Kerberos. An authenticated attacker could send a maliciously crafted message to force kadmind to read beyond the end of allocated memory, and write the memory contents to the KDC database if the attacker has write permission, leading to information disclosure.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-04-01 03:07:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:0493 normal SHIPPED_LIVE Moderate: krb5 security update 2016-03-22 21:01:50 EDT
Red Hat Product Errata RHSA-2016:0532 normal SHIPPED_LIVE Moderate: krb5 security update 2016-03-31 21:52:02 EDT

  None (edit)
Description Adam Mariš 2016-01-28 04:42:47 EST
It was reported that in all versions of MIT krb5, an authenticated attacker can cause kadmind to read beyond the end of allocated memory by sending a string without a terminating zero byte. Information leakage may be possible for an attacker with permission to modify the database.

Upstream patch:

https://github.com/krb5/krb5/commit/df17a1224a3406f57477bcd372c61e04c0e5a5bb
Comment 1 Adam Mariš 2016-01-28 04:43:19 EST
Created krb5 tracking bugs for this issue:

Affects: fedora-all [bug 1302618]
Comment 7 Tomas Hoger 2016-03-03 16:29:10 EST
Upstream bug report:

http://krbdev.mit.edu/rt/Ticket/Display.html?id=8341

Fixed upstream in krb5 1.14.1:

http://web.mit.edu/kerberos/krb5-1.14/krb5-1.14.1.html

The upstream bug report also indicates the issue will be fixed in 1.13.4.
Comment 8 errata-xmlrpc 2016-03-22 17:02:32 EDT
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2016:0493 https://rhn.redhat.com/errata/RHSA-2016-0493.html
Comment 9 errata-xmlrpc 2016-03-31 18:03:25 EDT
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2016:0532 https://rhn.redhat.com/errata/RHSA-2016-0532.html

Note You need to log in before you can comment on or make changes to this bug.